worker should automatically package up all required modules without weird limitations #328

Closed
tubaman opened this Issue Sep 6, 2012 · 8 comments

Projects

None yet

4 participants

@tubaman

Currently, the classic worker has some strange requirements for automatically detecting the required modules used in a job. For example, packages aren't supported. The classic worker should be changed to automatically detect all required modules(including packages).

@tubaman

Here's a worker that meets the criteria:

https://gist.github.com/3515397

@pmundkur
Disco Project member

If you can add a test under tests/ for this, we can pull it.

@tubaman
@reidpr

+1 for "weird limitations". imports are insanely confusing under Disco.

@pooya
Disco Project member

@tubaman Any updates on this? Could you please create a pull request?

@tubaman
@pooya
Disco Project member

N worries. I'll see if I can get this tested and merged in.

@pooya
Disco Project member

The useful parts have been added to Disco. Thanks.

@pooya pooya closed this Jun 6, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment